import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {CreRecipeExplore} from './explore';
import {MixEditComponent} from './pages/mix/mix-edit/mix-edit.component';
import {MixAddComponent} from './pages/mix/mix-add/mix-add.component';
import {RecipeAdd, RecipeEdit} from './recipes';
import {RecipeList} from './list';
import {MixAdd} from "./mix/mix";

const routes: Routes = [{
  path: 'list',
  component: RecipeList
}, {
  path: 'add',
  component: RecipeAdd
}, {
  path: 'edit/:id',
  component: RecipeEdit
}, {
  path: 'add/mix/:recipeId',
  component: MixAdd
}, {
  path: 'edit/mix/:recipeId/:id',
  component: MixEditComponent
}, {
  path: 'explore/:id',
  component: CreRecipeExplore
}, {
  path: '',
  pathMatch: 'full',
  redirectTo: 'list'
}]

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class RecipesRoutingModule {
}
